Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class VmStatus

`java.lang.Object
oracle.ovs.api.datamodel.VmStatus`

All Implemented Interfaces:
  java.io.Serializable

      public class VmStatus

extends java.lang.Object
implements java.io.Serializable

Virtual machine status data model. used in `VirtualMachineBase`

See Also:
  Serialized Form

Constructor Summary
`` | `VmStatus()`
`protected` | `VmStatus(java.lang.String status, int code)` static { //STATUS_OPERATION_MAP //RUNNING ArrayList ret = new ArrayList(); ret.add(VirtualMachineBase.OP_POWEROFF); ret.add(VirtualMachineBase.OP_REBOOT); ret.add(VirtualMachineBase.OP_PAUSE); ret.add(VirtualMachineBase.OP_SUSPEND); ret.add(VirtualMachineBase.OP_LIVEMIG); ret.add(VirtualMachineBase.OP_EDIT); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.RUNNING, ret); //ERROR ret = new ArrayList(); ret.add(VirtualMachineBase.OP_POWERON); ret.add(VirtualMachineBase.OP_POWEROFF); ret.add(VirtualMachineBase.OP_DELETE); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.ERROR, ret); //POWEREDOFF ret = new ArrayList(); ret.add(VirtualMachineBase.OP_POWERON); ret.add(VirtualMachineBase.OP_DELETE); ret.add(VirtualMachineBase.OP_CLONE); ret.add(VirtualMachineBase.OP_SAVTEM); ret.add(VirtualMachineBase.OP_EDIT); ret.add(VirtualMachineBase.OP_RESET_STATUS); ret.add(VirtualMachineBase.OP_PREF_SRV); STATUS_OPERATION_MAP.put(VirtualMachineBase.POWEREDOFF, ret); //UNKNOWN ret = new ArrayList(); ret.add(VirtualMachineBase.OP_POWERON); ret.add(VirtualMachineBase.OP_POWEROFF); ret.add(VirtualMachineBase.OP_DELETE); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.UNKNOWN, ret); //SUSPENDED ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESUME); ret.add(VirtualMachineBase.OP_EDIT); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.SUSPENDED, ret); //SHUTTINGDOWN ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.SHUTTINGDOWN, ret); //INITIALIZING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.INITIALIZING, ret); //PAUSED ret = new ArrayList(); ret.add(VirtualMachineBase.OP_UNPAUSE); ret.add(VirtualMachineBase.OP_POWEROFF); ret.add(VirtualMachineBase.OP_EDIT); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.PAUSED, ret); //MIGRATING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.MIGRATING, ret); //SUSPENDING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.SUSPENDING, ret); //PAUSING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.PAUSING, ret); //CREATING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.CREATING, ret); //CLONING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.CLONING, ret); //SAVING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.SAVING, ret); //DEPLOYING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.DEPLOYING, ret); //DELETING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.DELETING, ret); //UNPAUSING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.UNPAUSING, ret); //RESUMING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.RESUMING, ret); //REBOOTING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.REBOOTING, ret); }

Method Summary
`boolean` | `equals(VmStatus otherStatus)`
`int` | `getCode()`
`java.lang.String` | `getStatus()`
`long` | `getVmId()`
`void` | `setCode(int code)`
`void` | `setStatus(java.lang.String status)` public List validOperations(){ switch(this.code){ case 0: //RUNNING.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.RUNNING); case 1: //ERROR.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.ERROR); case 2: //POWEREDOFF.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.POWEREDOFF); case 3: //UNKNOWN.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.UNKNOWN); case 4: //SUSPENDED.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.SUSPENDED); case 5: //SHUTTINGDOWN.getCode(): break; case 6: //INITIALIZING.getCode(): break; case 7: //PAUSED.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.PAUSED); case 8: //MIGRATING.getCode(): break; case 9: //SUSPENDING.getCode(): break; case 10: //PAUSING.getCode(): break; case 11: //CREATING.getCode(): break; case 12: //CLONING.getCode(): break; case 13: //SAVING.getCode(): break; case 14: //DEPLOYING.getCode(): break; case 15: //DELETING.getCode(): break; case 16: //UNPAUSING.getCode(): break; case 17: //RESUMING.getCode(): break; case 18: //REBOOTING.getCode(): break; } return new ArrayList(); }
`void` | `setVmId(long vmId)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VmStatus

    protected VmStatus(java.lang.String status,
                       int code)

  static { //STATUS_OPERATION_MAP //RUNNING ArrayList ret = new ArrayList(); ret.add(VirtualMachineBase.OP_POWEROFF); ret.add(VirtualMachineBase.OP_REBOOT); ret.add(VirtualMachineBase.OP_PAUSE); ret.add(VirtualMachineBase.OP_SUSPEND); ret.add(VirtualMachineBase.OP_LIVEMIG); ret.add(VirtualMachineBase.OP_EDIT); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.RUNNING, ret); //ERROR ret = new ArrayList(); ret.add(VirtualMachineBase.OP_POWERON); ret.add(VirtualMachineBase.OP_POWEROFF); ret.add(VirtualMachineBase.OP_DELETE); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.ERROR, ret); //POWEREDOFF ret = new ArrayList(); ret.add(VirtualMachineBase.OP_POWERON); ret.add(VirtualMachineBase.OP_DELETE); ret.add(VirtualMachineBase.OP_CLONE); ret.add(VirtualMachineBase.OP_SAVTEM); ret.add(VirtualMachineBase.OP_EDIT); ret.add(VirtualMachineBase.OP_RESET_STATUS); ret.add(VirtualMachineBase.OP_PREF_SRV); STATUS_OPERATION_MAP.put(VirtualMachineBase.POWEREDOFF, ret); //UNKNOWN ret = new ArrayList(); ret.add(VirtualMachineBase.OP_POWERON); ret.add(VirtualMachineBase.OP_POWEROFF); ret.add(VirtualMachineBase.OP_DELETE); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.UNKNOWN, ret); //SUSPENDED ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESUME); ret.add(VirtualMachineBase.OP_EDIT); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.SUSPENDED, ret); //SHUTTINGDOWN ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.SHUTTINGDOWN, ret); //INITIALIZING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.INITIALIZING, ret); //PAUSED ret = new ArrayList(); ret.add(VirtualMachineBase.OP_UNPAUSE); ret.add(VirtualMachineBase.OP_POWEROFF); ret.add(VirtualMachineBase.OP_EDIT); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.PAUSED, ret); //MIGRATING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.MIGRATING, ret); //SUSPENDING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.SUSPENDING, ret); //PAUSING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.PAUSING, ret); //CREATING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.CREATING, ret); //CLONING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.CLONING, ret); //SAVING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.SAVING, ret); //DEPLOYING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.DEPLOYING, ret); //DELETING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.DELETING, ret); //UNPAUSING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.UNPAUSING, ret); //RESUMING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.RESUMING, ret); //REBOOTING ret = new ArrayList(); ret.add(VirtualMachineBase.OP_RESET_STATUS); STATUS_OPERATION_MAP.put(VirtualMachineBase.REBOOTING, ret); }

### VmStatus

    public VmStatus()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getCode

    public int getCode()

### equals

    public boolean equals(VmStatus otherStatus)

### setStatus

    public void setStatus(java.lang.String status)

  public List validOperations(){ switch(this.code){ case 0: //RUNNING.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.RUNNING); case 1: //ERROR.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.ERROR); case 2: //POWEREDOFF.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.POWEREDOFF); case 3: //UNKNOWN.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.UNKNOWN); case 4: //SUSPENDED.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.SUSPENDED); case 5: //SHUTTINGDOWN.getCode(): break; case 6: //INITIALIZING.getCode(): break; case 7: //PAUSED.getCode(): return (List)STATUS_OPERATION_MAP.get(VirtualMachineBase.PAUSED); case 8: //MIGRATING.getCode(): break; case 9: //SUSPENDING.getCode(): break; case 10: //PAUSING.getCode(): break; case 11: //CREATING.getCode(): break; case 12: //CLONING.getCode(): break; case 13: //SAVING.getCode(): break; case 14: //DEPLOYING.getCode(): break; case 15: //DELETING.getCode(): break; case 16: //UNPAUSING.getCode(): break; case 17: //RESUMING.getCode(): break; case 18: //REBOOTING.getCode(): break; } return new ArrayList(); }

### getStatus

    public java.lang.String getStatus()

### setCode

    public void setCode(int code)

### setVmId

    public void setVmId(long vmId)

### getVmId

    public long getVmId()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.